List employees
Lists employees from the employee list.
GET https://cotlet.dev/api/v1/peoplehr/employees
read
Returns the employee ID, name, job title, department and start date of each person in the list your role can see. Leavers are not included. Use the employee ID in get_employee and get_employee_planner.
Parameters
| Name | Type | Description |
|---|---|---|
| search string | string | Part of a name. |
| cursor string | string | Next page cursor from the previous call. |
Request
curl https://cotlet.dev/api/v1/peoplehr/employees \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("peoplehr", "list_employees") const result = await cotlet.call('peoplehr', 'list_employees'); cotlet call peoplehr list_employees Example response
{
"employees": [
{
"employee_id": "PW41",
"name": "Ana Lopez",
"job_title": "Account Executive",
"department": "Sales",
"start_date": "2026-11-16"
},
{
"employee_id": "PW15",
"name": "Priya Nair",
"job_title": "Software Engineer",
"department": "Engineering",
"start_date": "2024-03-04"
}
],
"next_cursor": null
}